// Unreal Fighting Framework by Kevin Poretti

#pragma once

// FF includes
#include "State/FFState.h"

// UE includes
#include "CoreMinimal.h"
#include "Engine/DataAsset.h"

#include "FFStateData.generated.h"

/**
 *	
 */
UCLASS()
class UNREALFIGHTINGFRAMEWORK_API UFFStateData : public UDataAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly)
	TArray<TSubclassOf<UFFState>> States;
};
